Obsolete attachments were not migrated from bugzilla
Closed, DeclinedPublic

Description

See e.g. T9757.

Not much of an issue as long as old-bugzilla is up, but we should avoid irretrievably losing those patches. A patch can be marked obsolete by mistake, it might be an abandoned old attempt that can still help to inform the next attempt etc.

Tgr created this task.Dec 17 2014, 2:49 AM
Tgr updated the task description. (Show Details)
Tgr raised the priority of this task from to Needs Triage.
Tgr added a project: Phabricator.
Tgr changed Security from none to None.
Tgr added a subscriber: Tgr.

Attachments marked as "private" or as "obsolete" in Bugzilla will not be migrated. I'm afraid this is nothing that we can fix anymore after the migration.

Please provide an example of a patch in Bugzilla marked as obsolete by mistake.

Qgil added a subscriber: Qgil.

Not much of an issue as long as old-bugzilla is up, but we should avoid irretrievably losing those patches.

Description of T1198: Bugzilla HTML static version and database dump edited to make this requirement explicit. I will merge this task there.

Dzahn reopened this task as Open.Apr 7 2015, 7:58 PM
Dzahn added a subscriber: Dzahn.

that wasn't a duplicate of that task

Dzahn added a comment.Apr 7 2015, 8:02 PM

providing the database dump is still a blocker to shut down old-bz even if those missing attachments had been migrated. if the decision was not to migrate them that would be unrelated

We won't migrate obsolete attachments from Bugzilla to Phabricator.
That's how I read the task summary and hence proposing "declined" status here.

jayvdb added a subscriber: jayvdb.Jun 8 2015, 3:30 PM

Will the obsolete attachments be included in the database dump? If so, the task of extracting them can be done by anyone with a specific need, and this task can be closed IMO.

jayvdb added a comment.Jun 8 2015, 3:32 PM

One sanity check might be open bugs (as at migration) with only obsolete patches - I see that occasionally.

Will the obsolete attachments be included in the database dump?

They will not be included as the upstream "sanitize" script removes them. T85141 includes the output line

Removing attachment data to preserve disk space...

Aklapper closed this task as Declined.Jul 17 2015, 12:59 PM
Aklapper claimed this task.

I'm closing this task as declined to reflect reality.

Restricted Application added a subscriber: scfc. · View Herald TranscriptJul 17 2015, 12:59 PM